package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Restaurants_polish_price extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.restaurants_polish_price); 
    
    
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });
    
    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });
    
    final Button dramat = (Button) findViewById(R.id.dramat);
    dramat.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openR_dramatActivity();
        }
        
    });
    
        final Button bazanciarnia = (Button) findViewById(R.id.bazanciarnia);
        bazanciarnia.setOnClickListener(new Button.OnClickListener() {
            public void onClick(View v) {
            	openR_bazanciarniaActivity();
            }
});
    
        final Button gospoda = (Button) findViewById(R.id.gospoda);
        gospoda.setOnClickListener(new Button.OnClickListener() {
            public void onClick(View v) {
            	openR_gospodaActivity();
            }
});
        
        final Button oberza = (Button) findViewById(R.id.oberza);
        oberza.setOnClickListener(new Button.OnClickListener() {
            public void onClick(View v) {
            	openR_oberzaActivity();
            }
});
   
        final Button kresowa = (Button) findViewById(R.id.kresowa);
        kresowa.setOnClickListener(new Button.OnClickListener() {
            public void onClick(View v) {
            	openR_kresowaActivity();
            }
});
        
        final Button magnolia = (Button) findViewById(R.id.magnolia);
        magnolia.setOnClickListener(new Button.OnClickListener() {
            public void onClick(View v) {
            	openR_magnoliaActivity();
            }
});
}
    

	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	private void openTram_mapActivity() {
    	startActivity(new Intent(this,Tram_map.class));
    }
    
    private void openBus_mapActivity() {
    	startActivity(new Intent(this,Bus_map.class));
    }
	
	private void openR_dramatActivity() {
    	startActivity(new Intent(this,R_dramat.class));
    }

	private void openR_bazanciarniaActivity() {
    	startActivity(new Intent(this,R_bazanciarnia.class));
    }
	
	private void openR_gospodaActivity() {
    	startActivity(new Intent(this,R_gospoda.class));
    }
	
	private void openR_oberzaActivity() {
    	startActivity(new Intent(this,R_oberza.class));
    }
	
	private void openR_kresowaActivity() {
    	startActivity(new Intent(this,R_kresowa.class));
    }
	
	private void openR_magnoliaActivity() {
    	startActivity(new Intent(this,R_magnolia.class));
    }
}
	
	